<?php
require_once(DIR_FS_ADMIN.DIR_WS_CLASSES.'company_type.php');
/**
 * company_types class 
 *
 */
class company_types extends databasetable
{
	/**
	 * initiates the company_types class
	 *
	 */
	function company_types(){
		$this->set_tablename(TABLE_COMPANY_TYPES);
		$this->set_index('company_types_id');
	}
	
	/**
	 * return a company_type object
	 *
	 * @param integer $id
	 * @return object
	 */
	function get_company_type($id){
		$values = $this->get_row_by_index($id);
		$company_type_instance = new company_type( (object) current($values) );
		return $company_type_instance;
	}
}
